package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(course_schedule_student_payment):
 */
public class CourseScheduleStudentPayment {

	/**  */
	private Long id;
	
	/**  */
	private Long courseScheduleId;
	
	/**  */
	private Integer userId;
	
	/** 预计价格 */
	private java.math.BigDecimal expectPrice;
	
	/**  */
	private java.math.BigDecimal actualPrice;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	/** 结算时间 */
	private java.util.Date settlementTime;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setCourseScheduleId(Long courseScheduleId){
		this.courseScheduleId = courseScheduleId;
	}
	
	public Long getCourseScheduleId(){
		return this.courseScheduleId;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setExpectPrice(java.math.BigDecimal expectPrice){
		this.expectPrice = expectPrice;
	}
	
	public java.math.BigDecimal getExpectPrice(){
		return this.expectPrice;
	}
			
	public void setActualPrice(java.math.BigDecimal actualPrice){
		this.actualPrice = actualPrice;
	}
	
	public java.math.BigDecimal getActualPrice(){
		return this.actualPrice;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public void setSettlementTime(java.util.Date settlementTime){
		this.settlementTime = settlementTime;
	}
	
	public java.util.Date getSettlementTime(){
		return this.settlementTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
